Skip to main content

List Custom APIs

GET 

/v2/settings/extensions/custom-apis

Retrieves a list of Custom APIs

Filtering

The following operators and attributes are available for filtering Custom APIs:

AttributeOperatorsExample
idlt,le,eq,gt,ge,ineq(id,7e067539-6f6c-46e1-8c55-940031b36c6a)
created_atlt,le,eq,gt,gege(created_at,2024-04-29T00:00:00.000Z)
updated_atlt,le,eq,gt,gele(updated_at,2024-04-29T00:00:00.000Z)
api_typeeq,like,inlike(api_type,wishlist*)
descriptioneq,likelike(description,*list*)
nameeq,likeeq(name,"Wishlist")
slugeq,like,inlike(slug,*lists)
presentation.pageilikeilike(presentation.page,Home)

Sorting

The following attributes are available for sorting. When specified, the results are sorted in ascending order based on the value of the field. To sort in descending order, prefix the attribute with -, for example, -updated_at. The default sort order is created_at in descending order.

  • id
  • created_at
  • updated_at
  • api_type
  • name
  • slug

Request

Responses

List of Custom APIs

Ask External AI